title: "Rare Disease Report Writing"
type: "object"

properties:
  toplines:
    title: Topline Finding(s)
    type: array
    minItems: 1
    maxItems: 5
    items:
      allOf:
      - $ref: '../../structs.json#/definitions/ToplineFinding'
      - properties:
          finding:
            $ref: '../../core.json#/definitions/RareDiseaseToplineFinding'
  classifications:
    title: Classifications
    minItems: 1
    type: array
    items:
      $ref: '#/definitions/RareDiseaseVariationClassification'
  next_steps:
    $ref: '../../structs.json#/definitions/ReportNextSteps'
  sample_limitations:
    title: Sample Limitations
    type: array
    items:
      type: string

definitions:
  RareDiseaseVariationClassification:
    type: object
    additionalProperties: false
    required:
      - classification
    properties:
      variantfinding_id:
        $ref: '../../ids.json#/definitions/VariantFindingId'
      gene_symbol:
        title: Location (Gene Symbol)
        type: string
      cytoband:
        title: Location for CNV
        $ref: '../../core.json#/definitions/Cytoband'
      iscn_nomenclature:
        title: Description of CNV
        $ref: '../../core.json#/definitions/ISCNNomenclature'
      event:
        title: Variant Event
        type: [ "string", "null" ]
      condition:
        title: Condition
        type: string
      inheritance:
        type: object
        properties:
          mode:
            title: Mode of Inheritance
            $ref: '../../core.json#/definitions/Inheritance'
          zygosity:
            title: Zygosity
            $ref: '../../core.json#/definitions/Zygosity'
          pattern:
            title: Inherited From
            $ref: '../../core.json#/definitions/VariantInheritance'
      classification:
        title: ACMG Classification
        $ref: '../../core.json#/definitions/ACMGPlusNegativeClassification'
      phenotype:
        title: Interpretation Summary
        type: object
        properties:
          evidence_summary:
            title: Description
            type: string
      variation:
        title: Variant Summary
        $ref: '../../structs.json#/definitions/RareDiseaseVariation'
      variant_description:
        title: Evidence
        type: [ "string", "null" ]
      gene_info:
        title: Gene Information
        type: string